Skip to main content
`Ctrl`+`K`

# PetscHMapIDestroy

Destroy a hash table

## Synopsis

    #include <petsc/private/hashmapi.h>
    PetscErrorCode PetscHMapIDestroy(PetscHMapI *ht)

## Input Parameter

- ht - The hash table

## See Also

`PetscHMapICreate()`, `PetscHMapICreateWithSize()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

## Examples

src/sys/tutorials/ex7.c

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages